package com.basic.eyflutter_core.subscribe;

import android.content.Context;

import com.basic.eyflutter_core.beans.DeviceResponse;
import com.basic.eyflutter_core.channel.OnDistributionSubscribe;
import com.basic.eyflutter_core.device.DeviceHelper;
import com.cloud.eyutils.utils.JsonUtils;

import java.util.HashMap;

import io.flutter.plugin.common.MethodChannel;

public class DeviceSubscribe extends OnDistributionSubscribe {

    private Context applicationContext;

    public DeviceSubscribe(Context context) {
        this.applicationContext = context;
    }

    @Override
    public void onSubscribe(MethodChannel.Result result, HashMap<String, Object> arguments) {
        DeviceHelper deviceHelper = new DeviceHelper();
        String androidId = deviceHelper.getAndroidId(applicationContext);
        String deviceId = deviceHelper.getDeviceId(applicationContext, androidId);
        DeviceResponse response = deviceHelper.getSysDeviceInfo(applicationContext, deviceId, androidId);
        result.success(JsonUtils.toJson(response));
    }
}
